V1 APIContent
Get property media
Legacy unwrapped media payload. Only the first gallery of each supported media type is used.
GET
/api/v1/property/{property}/mediaLegacy unwrapped media payload. Only the first gallery of each supported media type is used.
Path Parameters
property*string
Property UUID. This route is unauthenticated and unscoped, so it does not accept a slug — to address a property by slug, use /api/v1/connection/{connection}/property/{property}.
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/api/v1/property/019dbc38-d49e-7310-95d4-711a5b7a4b40/media"{ "photos": [ { "thumb": "http://example.com", "full": "http://example.com", "title": "string", "altText": "string", "caption": "string", "mediaUrl": "http://example.com", "tags": "string" } ], "panoramas": [ { "thumb": "http://example.com", "full": "http://example.com", "title": "string", "altText": "string", "caption": "string", "mediaUrl": "http://example.com", "tags": "string" } ], "videos": [ { "thumb": "http://example.com", "full": "http://example.com", "title": "string", "altText": "string", "caption": "string", "mediaUrl": "http://example.com", "tags": "string" } ], "virtualTours": [ { "thumb": "http://example.com", "full": "http://example.com", "title": "string", "altText": "string", "caption": "string", "mediaUrl": "http://example.com", "tags": "string" } ]}